import 'dart:math';

import 'package:Emma_home/utils/clipper.dart';
import 'package:flutter/material.dart';
import 'package:Emma_home/utils/helper_functions.dart';
import 'package:font_awesome_flutter/font_awesome_flutter.dart';
import 'package:Emma_home/screens/missing_event.dart';

class TimeButtonSection extends StatefulWidget {
  const TimeButtonSection({required this.onToggle, super.key});
  final VoidCallback onToggle;

  @override
  _TimeButtonSection createState() => _TimeButtonSection();
}

class _TimeButtonSection extends State<TimeButtonSection> {
  bool _isToDayActive = false;
  bool _isToMorrowActive = false;
  bool _isWEActive = false;

  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisAlignment: MainAxisAlignment.spaceEvenly,
      children: [
        // Button "Heute" (filled style)
        OutlinedButton(
          onPressed: () {
            setState(() {
              _isToDayActive = !_isToDayActive;
              _isToMorrowActive = false;
              _isWEActive = false;
            });
          },
          style: OutlinedButton.styleFrom(
            backgroundColor: _isToDayActive ? Colors.black : Colors.white,
            foregroundColor: _isToDayActive ? Colors.white : Colors.black,
            side: _isToDayActive
                ? const BorderSide(color: Colors.white)
                : const BorderSide(color: Colors.black),
            minimumSize: const Size(85, 39), // Breite und Höhe
            shape: RoundedRectangleBorder(
              borderRadius: BorderRadius.circular(10.0),
            ),
          ),
          child: const Text('Heute'),
        ),
        // Button "Morgen" (outlined style)
        OutlinedButton(
          onPressed: () {
            setState(() {
              _isToDayActive = false;
              _isToMorrowActive = !_isToMorrowActive;
              _isWEActive = false;
            });
          },
          style: OutlinedButton.styleFrom(
            backgroundColor: _isToMorrowActive ? Colors.black : Colors.white,
            foregroundColor: _isToMorrowActive ? Colors.white : Colors.black,
            side: _isToMorrowActive
                ? const BorderSide(color: Colors.white)
                : const BorderSide(color: Colors.black), // Border color
            minimumSize: const Size(90, 39), // Breite und Höhe
            shape: RoundedRectangleBorder(
              borderRadius: BorderRadius.circular(10.0),
            ),
          ),
          child: const Text('Morgen'),
        ),
        // Button "Wochenende" (outlined style)
        OutlinedButton(
          onPressed: () {
            setState(() {
              _isToDayActive = false;
              _isToMorrowActive = false;
              _isWEActive = !_isWEActive;
            });
          },
          style: OutlinedButton.styleFrom(
            backgroundColor: _isWEActive ? Colors.black : Colors.white,
            foregroundColor: _isWEActive ? Colors.white : Colors.black,
            side: _isWEActive
                ? const BorderSide(color: Colors.white)
                : const BorderSide(color: Colors.black), // Border color
            minimumSize: const Size(100, 39), // Breite und Höhe
            shape: RoundedRectangleBorder(
              borderRadius: BorderRadius.circular(10.0),
            ),
          ),
          child: const Text('Wochenende'),
        ),
        // Button with calendar icon
        IconButton(
          onPressed: widget.onToggle,
          icon: const Icon(Icons.calendar_today, color: Colors.black),
        ),
      ],
    );
  }
}

class HeaderSection extends StatelessWidget {
  const HeaderSection({super.key});

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: const EdgeInsets.fromLTRB(5, 2, 5, 5),
      height: 76,
      color: Colors.white,
      alignment: Alignment.bottomLeft,
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          const SizedBox(height: 10),
          Row(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: <Widget>[
                SizedBox(
                  height: 50, //height of button
                  //width of button
                  child: IconButton(
                    icon: Image.asset('assets/images/logo.png'),
                    onPressed: () {},
                  ),
                ),
                const SizedBox(
                  //width of button
                  width: 10,
                ),
                const SizedBox(
                  height: 10, //height of button
                  width: 20, //width of button
                  child: Icon(Icons.keyboard_arrow_down),
                ),
                const SizedBox(
                  //width of button
                  width: 10,
                ),
                SizedBox(
                  width: 100.0,
                  child: TextField(
                    controller: TextEditingController(text: "Ingolstadt"),
                    decoration: const InputDecoration(
                      border: UnderlineInputBorder(),
                    ),
                  ),
                ),
                // const SizedBox(
                //   //width of button
                //   width: 40,
                // ),
                const SizedBox(width: 3),
                const Spacer(),
                SizedBox(
                  height: 41, //height of button
                  //width of button
                  child: IconButton(
                    icon: const Icon(Icons.search),
                    onPressed: () {},
                  ),
                ),
                const SizedBox(
                  height: 40,
                  child: VerticalDivider(
                    thickness: 1,
                    width: 20,
                    color: Colors.black,
                  ),
                ),
                SizedBox(
                  height: 50, //height of button
                  //width of button
                  child: IconButton(
                    icon: Image.asset('assets/images/Login.png'),
                    onPressed: () {},
                  ),
                ),
              ]),
          const Divider(
            height: 1,
            thickness: 1,
            indent: 0,
            endIndent: 0,
            color: Colors.black,
          ),
        ],
      ),
    );
  }
}

class EventCard2Section extends StatelessWidget {
  final String title;
  final String description;
  final String location;
  final String start_time;
  final Color color;
  final MediaQueryData screen_size;

  EventCard2Section({
    super.key,
    required this.title,
    required this.description,
    required this.location,
    required this.start_time,
    required this.color,
    required this.screen_size,
  });
  List<CustomClipper<Path>> clippers = [
    BowClipper(),
    WaveClipper(),
    ConcavClipper()
  ];
  String getRandomImage() {
    final List<String> images = [
      'assets/images/Event_Images/image01.png',
      //'assets/images/Event_Images/image02.jpg',
      //'assets/images/Event_Images/image03.jpg',
      //'assets/images/Event_Images/image04.jpg',
      //'assets/images/Event_Images/image05.jpg',
    ];
    final randomIndex = Random().nextInt(images.length);
    return images[randomIndex];
  }

  CustomClipper<Path> _getRandomClipper() {
    final randomIndex = Random().nextInt(clippers.length);
    return clippers[randomIndex];
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      width: (screen_size.size.width - 40),
      height: 107,
      margin: const EdgeInsets.fromLTRB(20.0, 0, 20.0, 20.0),
      decoration: BoxDecoration(
        color: Colors.white,
        borderRadius: BorderRadius.circular(10),
        border: const Border(
          left: BorderSide(width: 1, color: Color(0xFFBFBCBC)),
          top: BorderSide(width: 1, color: Color(0xFFBFBCBC)),
          right: BorderSide(color: Color(0xFFBFBCBC)),
          bottom: BorderSide(color: Color(0xFFBFBCBC)),
        ),
        boxShadow: [
          BoxShadow(
            color: color, //Color(0xFFF8AB14),
            blurRadius: 0,
            offset: const Offset(0, 10),
            spreadRadius: 0,
          )
        ],
      ),
      child: Stack(
        children: [
          /* Positioned(
            right: 0,
            top: 0,
            child: Image.asset(
              'assets/images/Vector01.png', // Pfad zum Bild
              height: 110, // Höhe des Bildes
              width: 130, // Breite des Bildes
            ),
          ), */

          Positioned(
              right: 0,
              top: 0,
              child: ClipPath(
                clipper: _getRandomClipper(),
                child: Image.asset(
                  getRandomImage(), // Pfad zum Bild
                  height: 110, // Höhe des Bildes
                  width: 115, // Breite des Bildes
                  fit: BoxFit.cover,
                ),
              )),
          //Bookmark Button
          Positioned(
            // Bookmark Button
            right: 14,
            top: 8,
            child: Container(
              width: 32,
              height: 32,
              decoration: const BoxDecoration(
                color: Color.fromARGB(
                    196, 171, 170, 170), // Hintergrundfarbe des Buttons
                shape: BoxShape.circle, // Runde Form
              ),
              child: IconButton(
                padding: EdgeInsets.zero, // Entfernt zusätzlichen Abstand
                icon: const Icon(Icons.bookmark_border_outlined),
                color: Colors.white, // Icon-Farbe
                iconSize: 19, // Größe des Icons
                onPressed: () {
                  // Aktion beim Drücken des Buttons
                },
              ),
            ),
          ),
          // Title + Location
          Positioned(
            //Location
            left: 12,
            top: 8,
            child: Column(
              mainAxisSize: MainAxisSize.min,
              mainAxisAlignment: MainAxisAlignment.start,
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Text(
                  shortenText(title, 20),
                  style: const TextStyle(
                    color: Color(0xFF0A0A0A),
                    fontSize: 18,
                    fontFamily: 'Inter',
                    fontWeight: FontWeight.w800,
                    //fontWeight: FontWeight.w400,
                    height: 1.5,
                  ),
                ),
                SizedBox(
                  width: (screen_size.size.width - 40) - 130,
                  height: 24,
                  child: Text(
                    location,
                    style: const TextStyle(
                      color: Color(0xFF0A0A0A),
                      fontSize: 18,
                      fontFamily: 'Inter',
                      fontWeight: FontWeight.w400,
                      //fontWeight: FontWeight.w800,
                      height: 1.2,
                    ),
                  ),
                ),
                Text.rich(
                  TextSpan(
                    text: 'Beginn: ', // Standard-Text
                    style: const TextStyle(
                      color: Color(0xFF0A0A0A),
                      fontSize: 12,
                      fontFamily: 'Inter',
                      height: 1.8,
                      fontWeight: FontWeight.w200, // Light weight
                    ),
                    children: [
                      TextSpan(
                        text: start_time, // Variabler Text
                        style: const TextStyle(
                          fontWeight: FontWeight.w800, // Bold
                        ),
                      ),
                    ],
                  ),
                ),

                /* Row(
            mainAxisSize: MainAxisSize.min,
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              SizedBox(
              width: 60,
              height: 44.40,
              child:Text(
                      'Beginn: ',
                      style: TextStyle(
                        color: Color(0xFF0A0A0A),
                        fontSize: 12,
                        fontFamily: 'Inter',
                        fontWeight: FontWeight.w200,
                        height: 16/12,
                        ),
                                                      
              ),
            ),
            Text(
                      start_time,
                      style: TextStyle(
                        color: Color(0xFF0A0A0A),
                        fontSize: 12,
                        fontFamily: 'Inter',
                        fontWeight: FontWeight.w800,
                        height: 16/12,
                       ),
                    ),
            
            ]), */
              ],
            ),
          ),
          //Title
          /*  Positioned(
            //Title
            left: 92,
            top: 14,
            child: Text(
              title,
              style: TextStyle(
                color: Color(0xFF0A0A0A),
                fontSize: 18,
                fontFamily: 'Inter',
                fontWeight: FontWeight.w400,
                height: 0.07,
                ),
            ),
          ), */
          //Description
          Positioned(
            //Description
            left: 12,
            bottom: 8,
            child: SizedBox(
              //width: 196,
              //height: 15,
              child: Text(
                shortenText(description, 30),
                style: const TextStyle(
                  color: Color(0xFF0A0A0A),
                  fontSize: 12,
                  fontFamily: 'Inter',
                  fontWeight: FontWeight.w200,
                  height: 16 / 12,
                ),
              ),
            ),
          ),
          //Start time
          /*Positioned(
              //Start time
              left: 10,
              top: 70,
              child: SizedBox(
                  width: 72.79,
                  height: 44.40,
                  child: 
                    Text(
                      start_time,
                      style: TextStyle(
                        color: Color(0xFF0A0A0A),
                        fontSize: 12,
                        fontFamily: 'Inter',
                        fontWeight: FontWeight.w800,
                        height: 16/12,
                       ), 
                    ),
                  )),*/
          //Text Beginn
        ],
      ),
    );
  }
}

class TagSlider extends StatelessWidget {
  const TagSlider({super.key});

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        SizedBox(
          width: 390,
          height: 73,
          child: Row(
            mainAxisSize: MainAxisSize.min,
            mainAxisAlignment: MainAxisAlignment.start,
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              Container(
                height: 73,
                padding: const EdgeInsets.symmetric(horizontal: 16),
                child: Row(
                  mainAxisSize: MainAxisSize.min,
                  mainAxisAlignment: MainAxisAlignment.start,
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    Container(
                      width: 145,
                      padding: const EdgeInsets.symmetric(
                          horizontal: 24, vertical: 8),
                      clipBehavior: Clip.antiAlias,
                      decoration: ShapeDecoration(
                        shape: RoundedRectangleBorder(
                          side: const BorderSide(width: 1),
                          borderRadius: BorderRadius.circular(10),
                        ),
                      ),
                      child: const Row(
                        mainAxisSize: MainAxisSize.min,
                        mainAxisAlignment: MainAxisAlignment.center,
                        crossAxisAlignment: CrossAxisAlignment.center,
                        children: [
                          Text(
                            'Hip Hop/Rap',
                            style: TextStyle(
                              color: Colors.black,
                              fontSize: 16,
                              fontFamily: 'Inter',
                              fontWeight: FontWeight.w500,
                              height: 0,
                            ),
                          ),
                        ],
                      ),
                    ),
                    Container(
                      width: 143,
                      padding: const EdgeInsets.symmetric(
                          horizontal: 24, vertical: 8),
                      clipBehavior: Clip.antiAlias,
                      decoration: ShapeDecoration(
                        shape: RoundedRectangleBorder(
                          side: const BorderSide(width: 1),
                          borderRadius: BorderRadius.circular(10),
                        ),
                      ),
                      child: const Row(
                        mainAxisSize: MainAxisSize.min,
                        mainAxisAlignment: MainAxisAlignment.center,
                        crossAxisAlignment: CrossAxisAlignment.center,
                        children: [
                          Text(
                            'EDM/Elektro',
                            style: TextStyle(
                              color: Colors.black,
                              fontSize: 16,
                              fontFamily: 'Inter',
                              fontWeight: FontWeight.w500,
                              height: 0,
                            ),
                          ),
                        ],
                      ),
                    ),
                    Container(
                      width: 102,
                      padding: const EdgeInsets.symmetric(
                          horizontal: 24, vertical: 8),
                      clipBehavior: Clip.antiAlias,
                      decoration: ShapeDecoration(
                        shape: RoundedRectangleBorder(
                          side: const BorderSide(width: 1),
                          borderRadius: BorderRadius.circular(10),
                        ),
                      ),
                      child: const Row(
                        mainAxisSize: MainAxisSize.min,
                        mainAxisAlignment: MainAxisAlignment.center,
                        crossAxisAlignment: CrossAxisAlignment.center,
                        children: [
                          Text(
                            'Elektro',
                            style: TextStyle(
                              color: Colors.black,
                              fontSize: 16,
                              fontFamily: 'Inter',
                              fontWeight: FontWeight.w500,
                              height: 0,
                            ),
                          ),
                        ],
                      ),
                    ),
                    Container(
                      width: 180,
                      padding: const EdgeInsets.symmetric(
                          horizontal: 24, vertical: 8),
                      clipBehavior: Clip.antiAlias,
                      decoration: ShapeDecoration(
                        shape: RoundedRectangleBorder(
                          side: const BorderSide(width: 1),
                          borderRadius: BorderRadius.circular(10),
                        ),
                      ),
                      child: const Row(
                        mainAxisSize: MainAxisSize.min,
                        mainAxisAlignment: MainAxisAlignment.center,
                        crossAxisAlignment: CrossAxisAlignment.center,
                        children: [
                          Text(
                            'Klassische Musik',
                            style: TextStyle(
                              color: Colors.black,
                              fontSize: 16,
                              fontFamily: 'Inter',
                              fontWeight: FontWeight.w500,
                              height: 0,
                            ),
                          ),
                        ],
                      ),
                    ),
                    Container(
                      width: 86,
                      padding: const EdgeInsets.symmetric(
                          horizontal: 24, vertical: 8),
                      clipBehavior: Clip.antiAlias,
                      decoration: ShapeDecoration(
                        shape: RoundedRectangleBorder(
                          side: const BorderSide(width: 1),
                          borderRadius: BorderRadius.circular(10),
                        ),
                      ),
                      child: const Row(
                        mainAxisSize: MainAxisSize.min,
                        mainAxisAlignment: MainAxisAlignment.center,
                        crossAxisAlignment: CrossAxisAlignment.center,
                        children: [
                          Text(
                            'Rock',
                            style: TextStyle(
                              color: Colors.black,
                              fontSize: 16,
                              fontFamily: 'Inter',
                              fontWeight: FontWeight.w500,
                              height: 0,
                            ),
                          ),
                        ],
                      ),
                    ),
                    Container(
                      width: 187,
                      padding: const EdgeInsets.symmetric(
                          horizontal: 24, vertical: 8),
                      clipBehavior: Clip.antiAlias,
                      decoration: ShapeDecoration(
                        shape: RoundedRectangleBorder(
                          side: const BorderSide(width: 1),
                          borderRadius: BorderRadius.circular(10),
                        ),
                      ),
                      child: const Row(
                        mainAxisSize: MainAxisSize.min,
                        mainAxisAlignment: MainAxisAlignment.center,
                        crossAxisAlignment: CrossAxisAlignment.center,
                        children: [
                          Text(
                            'Singer/Songwriter',
                            style: TextStyle(
                              color: Colors.black,
                              fontSize: 16,
                              fontFamily: 'Inter',
                              fontWeight: FontWeight.w500,
                              height: 0,
                            ),
                          ),
                        ],
                      ),
                    ),
                    Container(
                      width: 78,
                      padding: const EdgeInsets.symmetric(
                          horizontal: 24, vertical: 8),
                      clipBehavior: Clip.antiAlias,
                      decoration: ShapeDecoration(
                        shape: RoundedRectangleBorder(
                          side: const BorderSide(width: 1),
                          borderRadius: BorderRadius.circular(10),
                        ),
                      ),
                      child: const Row(
                        mainAxisSize: MainAxisSize.min,
                        mainAxisAlignment: MainAxisAlignment.center,
                        crossAxisAlignment: CrossAxisAlignment.center,
                        children: [
                          Text(
                            'Rap',
                            style: TextStyle(
                              color: Colors.black,
                              fontSize: 16,
                              fontFamily: 'Inter',
                              fontWeight: FontWeight.w500,
                              height: 0,
                            ),
                          ),
                        ],
                      ),
                    ),
                    Container(
                      width: 123,
                      padding: const EdgeInsets.symmetric(
                          horizontal: 24, vertical: 8),
                      clipBehavior: Clip.antiAlias,
                      decoration: ShapeDecoration(
                        shape: RoundedRectangleBorder(
                          side: const BorderSide(width: 1),
                          borderRadius: BorderRadius.circular(10),
                        ),
                      ),
                      child: const Row(
                        mainAxisSize: MainAxisSize.min,
                        mainAxisAlignment: MainAxisAlignment.center,
                        crossAxisAlignment: CrossAxisAlignment.center,
                        children: [
                          Text(
                            'DJ/Dance',
                            style: TextStyle(
                              color: Colors.black,
                              fontSize: 16,
                              fontFamily: 'Inter',
                              fontWeight: FontWeight.w500,
                              height: 0,
                            ),
                          ),
                        ],
                      ),
                    ),
                    Container(
                      width: 78,
                      padding: const EdgeInsets.symmetric(
                          horizontal: 24, vertical: 8),
                      clipBehavior: Clip.antiAlias,
                      decoration: ShapeDecoration(
                        shape: RoundedRectangleBorder(
                          side: const BorderSide(width: 1),
                          borderRadius: BorderRadius.circular(10),
                        ),
                      ),
                      child: const Row(
                        mainAxisSize: MainAxisSize.min,
                        mainAxisAlignment: MainAxisAlignment.center,
                        crossAxisAlignment: CrossAxisAlignment.center,
                        children: [
                          Text(
                            'Pop',
                            style: TextStyle(
                              color: Colors.black,
                              fontSize: 16,
                              fontFamily: 'Inter',
                              fontWeight: FontWeight.w500,
                              height: 0,
                            ),
                          ),
                        ],
                      ),
                    ),
                    Container(
                      width: 256,
                      padding: const EdgeInsets.symmetric(
                          horizontal: 24, vertical: 8),
                      clipBehavior: Clip.antiAlias,
                      decoration: ShapeDecoration(
                        shape: RoundedRectangleBorder(
                          side: const BorderSide(width: 1),
                          borderRadius: BorderRadius.circular(10),
                        ),
                      ),
                      child: const Row(
                        mainAxisSize: MainAxisSize.min,
                        mainAxisAlignment: MainAxisAlignment.center,
                        crossAxisAlignment: CrossAxisAlignment.center,
                        children: [
                          Text(
                            'Lateinamerikanische Musik',
                            style: TextStyle(
                              color: Colors.black,
                              fontSize: 16,
                              fontFamily: 'Inter',
                              fontWeight: FontWeight.w500,
                              height: 0,
                            ),
                          ),
                        ],
                      ),
                    ),
                    Container(
                      width: 110,
                      padding: const EdgeInsets.symmetric(
                          horizontal: 24, vertical: 8),
                      clipBehavior: Clip.antiAlias,
                      decoration: ShapeDecoration(
                        shape: RoundedRectangleBorder(
                          side: const BorderSide(width: 1),
                          borderRadius: BorderRadius.circular(10),
                        ),
                      ),
                      child: const Row(
                        mainAxisSize: MainAxisSize.min,
                        mainAxisAlignment: MainAxisAlignment.center,
                        crossAxisAlignment: CrossAxisAlignment.center,
                        children: [
                          Text(
                            'Hip Hop',
                            style: TextStyle(
                              color: Colors.black,
                              fontSize: 16,
                              fontFamily: 'Inter',
                              fontWeight: FontWeight.w500,
                              height: 0,
                            ),
                          ),
                        ],
                      ),
                    ),
                    Container(
                      width: 84,
                      padding: const EdgeInsets.symmetric(
                          horizontal: 24, vertical: 8),
                      clipBehavior: Clip.antiAlias,
                      decoration: ShapeDecoration(
                        shape: RoundedRectangleBorder(
                          side: const BorderSide(width: 1),
                          borderRadius: BorderRadius.circular(10),
                        ),
                      ),
                      child: const Row(
                        mainAxisSize: MainAxisSize.min,
                        mainAxisAlignment: MainAxisAlignment.center,
                        crossAxisAlignment: CrossAxisAlignment.center,
                        children: [
                          Text(
                            'Jazz',
                            style: TextStyle(
                              color: Colors.black,
                              fontSize: 16,
                              fontFamily: 'Inter',
                              fontWeight: FontWeight.w500,
                              height: 0,
                            ),
                          ),
                        ],
                      ),
                    ),
                    Container(
                      width: 91,
                      padding: const EdgeInsets.symmetric(
                          horizontal: 24, vertical: 8),
                      clipBehavior: Clip.antiAlias,
                      decoration: ShapeDecoration(
                        shape: RoundedRectangleBorder(
                          side: const BorderSide(width: 1),
                          borderRadius: BorderRadius.circular(10),
                        ),
                      ),
                      child: const Row(
                        mainAxisSize: MainAxisSize.min,
                        mainAxisAlignment: MainAxisAlignment.center,
                        crossAxisAlignment: CrossAxisAlignment.center,
                        children: [
                          Text(
                            'Metal',
                            style: TextStyle(
                              color: Colors.black,
                              fontSize: 16,
                              fontFamily: 'Inter',
                              fontWeight: FontWeight.w500,
                              height: 0,
                            ),
                          ),
                        ],
                      ),
                    ),
                    Container(
                      width: 79,
                      padding: const EdgeInsets.symmetric(
                          horizontal: 24, vertical: 8),
                      clipBehavior: Clip.antiAlias,
                      decoration: ShapeDecoration(
                        shape: RoundedRectangleBorder(
                          side: const BorderSide(width: 1),
                          borderRadius: BorderRadius.circular(10),
                        ),
                      ),
                      child: const Row(
                        mainAxisSize: MainAxisSize.min,
                        mainAxisAlignment: MainAxisAlignment.center,
                        crossAxisAlignment: CrossAxisAlignment.center,
                        children: [
                          Text(
                            'R6B',
                            style: TextStyle(
                              color: Colors.black,
                              fontSize: 16,
                              fontFamily: 'Inter',
                              fontWeight: FontWeight.w500,
                              height: 0,
                            ),
                          ),
                        ],
                      ),
                    ),
                  ],
                ),
              ),
            ],
          ),
        ),
      ],
    );
  }
}

class MusikHeader extends StatelessWidget {
  final String name; // First variable
  final String icon; // Second variable

  const MusikHeader({
    super.key,
    required this.name,
    required this.icon,
  });

  @override
  Widget build(BuildContext context) {
    return Column(children: [
      SizedBox(
        //width: 390,
        height: 35,
        child: Row(
          mainAxisSize: MainAxisSize.min,
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            Align(
              alignment: Alignment.centerLeft,
              child: IconButton(
                icon: const Icon(Icons.keyboard_arrow_left),
                onPressed: () {
                  Navigator.pop(context);
                },
              ),
            ),
            Align(
              alignment: Alignment.center,
              child: Row(
                children: [
                  SizedBox(
                    width: 32,
                    height: 32,
                    child: Image.asset(
                      icon,
                      errorBuilder: (context, error, stackTrace) {
                        print('Error loading image: $error');
                        return const Icon(Icons.error);
                      },
                    ),
                  ),
                  Text(
                    name,
                    style: const TextStyle(
                      color: Color(0xFF171717),
                      fontSize: 20,
                      fontFamily: 'Inter',
                      fontWeight: FontWeight.w800,
                      height: 0,
                    ),
                  ),
                ],
              ),
            ),
            const SizedBox(width: 89),
          ],
        ),
      ),
    ]);
  }
}

class CardGenre extends StatelessWidget {
  const CardGenre({super.key});

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        SizedBox(
          width: 368,
          height: 121,
          child: Column(
            mainAxisSize: MainAxisSize.min,
            mainAxisAlignment: MainAxisAlignment.start,
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              const SizedBox(
                width: double.infinity,
                child: Text(
                  'Heute',
                  style: TextStyle(
                    color: Color(0xFF171717),
                    fontSize: 12,
                    fontFamily: 'Inter',
                    fontWeight: FontWeight.w600,
                    height: 0.11,
                  ),
                ),
              ),
              Container(
                width: double.infinity,
                padding: const EdgeInsets.only(left: 12),
                decoration: ShapeDecoration(
                  color: Colors.white,
                  shape: RoundedRectangleBorder(
                    side: const BorderSide(
                      width: 1,
                      strokeAlign: BorderSide.strokeAlignOutside,
                      color: Color(0xFFDADADA),
                    ),
                    borderRadius: BorderRadius.circular(10),
                  ),
                  shadows: const [
                    BoxShadow(
                      color: Color(0xFFF8AB14),
                      blurRadius: 0,
                      offset: Offset(0, 10),
                      spreadRadius: 0,
                    )
                  ],
                ),
                child: Row(
                  mainAxisSize: MainAxisSize.min,
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  crossAxisAlignment: CrossAxisAlignment.center,
                  children: [
                    Container(
                      padding: const EdgeInsets.only(bottom: 8),
                      child: Column(
                        mainAxisSize: MainAxisSize.min,
                        mainAxisAlignment: MainAxisAlignment.start,
                        crossAxisAlignment: CrossAxisAlignment.start,
                        children: [
                          const Text(
                            'Eventname',
                            style: TextStyle(
                              color: Color(0xFF0A0A0A),
                              fontSize: 18,
                              fontFamily: 'Inter',
                              fontWeight: FontWeight.w800,
                              height: 0.08,
                            ),
                          ),
                          const SizedBox(height: 4),
                          Container(
                            child: const Column(
                              mainAxisSize: MainAxisSize.min,
                              mainAxisAlignment: MainAxisAlignment.start,
                              crossAxisAlignment: CrossAxisAlignment.start,
                              children: [
                                SizedBox(
                                  width: 226,
                                  child: Row(
                                    mainAxisSize: MainAxisSize.min,
                                    mainAxisAlignment: MainAxisAlignment.start,
                                    crossAxisAlignment:
                                        CrossAxisAlignment.start,
                                    children: [
                                      SizedBox(
                                        width: 83,
                                        height: 24,
                                        child: Text(
                                          'Location',
                                          style: TextStyle(
                                            color: Color(0xFF0A0A0A),
                                            fontSize: 18,
                                            fontFamily: 'Inter',
                                            fontWeight: FontWeight.w400,
                                            height: 0.07,
                                          ),
                                        ),
                                      ),
                                      SizedBox(width: 24),
                                      SizedBox(
                                        height: 20,
                                        child: Row(
                                          mainAxisSize: MainAxisSize.min,
                                          mainAxisAlignment:
                                              MainAxisAlignment.start,
                                          crossAxisAlignment:
                                              CrossAxisAlignment.center,
                                          children: [
                                            SizedBox(
                                              width: 179,
                                              height: 20,
                                              child: Text.rich(
                                                TextSpan(
                                                  children: [
                                                    TextSpan(
                                                      text: 'Start: ',
                                                      style: TextStyle(
                                                        color:
                                                            Color(0xFF0A0A0A),
                                                        fontSize: 18,
                                                        fontFamily: 'Inter',
                                                        fontWeight:
                                                            FontWeight.w200,
                                                        height: 0.08,
                                                      ),
                                                    ),
                                                    TextSpan(
                                                      text: '20:30',
                                                      style: TextStyle(
                                                        color:
                                                            Color(0xFF0A0A0A),
                                                        fontSize: 18,
                                                        fontFamily: 'Inter',
                                                        fontWeight:
                                                            FontWeight.w800,
                                                        height: 0.08,
                                                      ),
                                                    ),
                                                  ],
                                                ),
                                              ),
                                            ),
                                          ],
                                        ),
                                      ),
                                    ],
                                  ),
                                ),
                              ],
                            ),
                          ),
                          const SizedBox(height: 4),
                          const SizedBox(
                            width: 226,
                            height: 15,
                            child: Text(
                              'Beschreibung in sehr kurzer Form hier...',
                              style: TextStyle(
                                color: Color(0xFF0A0A0A),
                                fontSize: 12,
                                fontFamily: 'Inter',
                                fontWeight: FontWeight.w200,
                                height: 0.11,
                              ),
                            ),
                          ),
                        ],
                      ),
                    ),
                    SizedBox(
                      width: 32,
                      child: Row(
                        mainAxisSize: MainAxisSize.min,
                        mainAxisAlignment: MainAxisAlignment.start,
                        crossAxisAlignment: CrossAxisAlignment.start,
                        children: [
                          SizedBox(
                            width: 32,
                            height: 32,
                            child: Row(
                              mainAxisSize: MainAxisSize.min,
                              mainAxisAlignment: MainAxisAlignment.start,
                              crossAxisAlignment: CrossAxisAlignment.start,
                              children: [
                                Container(
                                  width: 32,
                                  height: 32,
                                  decoration: ShapeDecoration(
                                    color: Colors.white
                                        .withOpacity(0.800000011920929),
                                    shape: const OvalBorder(
                                      side: BorderSide(
                                          width: 1, color: Color(0xFFABA9A9)),
                                    ),
                                  ),
                                ),
                                Container(
                                  width: 18,
                                  height: 19,
                                  clipBehavior: Clip.antiAlias,
                                  decoration: BoxDecoration(
                                    borderRadius: BorderRadius.circular(10),
                                  ),
                                  child: const FlutterLogo(),
                                ),
                              ],
                            ),
                          ),
                        ],
                      ),
                    ),
                  ],
                ),
              ),
            ],
          ),
        ),
      ],
    );
  }
}

class CardGenre_temp extends StatelessWidget {
  const CardGenre_temp({super.key});

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        SizedBox(
          width: 368,
          height: 121,
          child: Column(
            mainAxisSize: MainAxisSize.min,
            mainAxisAlignment: MainAxisAlignment.start,
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              const SizedBox(
                width: double.infinity,
                child: Text(
                  'Heute',
                  style: TextStyle(
                    color: Color(0xFF171717),
                    fontSize: 12,
                    fontFamily: 'Inter',
                    fontWeight: FontWeight.w600,
                    height: 0.11,
                  ),
                ),
              ),
              Container(
                width: double.infinity,
                padding: const EdgeInsets.only(left: 12),
                decoration: ShapeDecoration(
                  color: Colors.white,
                  shape: RoundedRectangleBorder(
                    side: const BorderSide(
                      width: 1,
                      strokeAlign: BorderSide.strokeAlignOutside,
                      color: Color(0xFFDADADA),
                    ),
                    borderRadius: BorderRadius.circular(10),
                  ),
                  shadows: const [],
                ),
                child: Row(
                  mainAxisSize: MainAxisSize.min,
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  crossAxisAlignment: CrossAxisAlignment.center,
                  children: [
                    Container(
                      padding: const EdgeInsets.only(bottom: 8),
                      child: Column(
                        mainAxisSize: MainAxisSize.min,
                        mainAxisAlignment: MainAxisAlignment.start,
                        crossAxisAlignment: CrossAxisAlignment.start,
                        children: [
                          const Text(
                            'Eventname',
                            style: TextStyle(
                              color: Color(0xFF0A0A0A),
                              fontSize: 18,
                              fontFamily: 'Inter',
                              fontWeight: FontWeight.w800,
                              height: 0.08,
                            ),
                          ),
                          const SizedBox(height: 4),
                          Container(
                            child: const Column(
                              mainAxisSize: MainAxisSize.min,
                              mainAxisAlignment: MainAxisAlignment.start,
                              crossAxisAlignment: CrossAxisAlignment.start,
                              children: [
                                SizedBox(
                                  width: 226,
                                  child: Row(
                                    mainAxisSize: MainAxisSize.min,
                                    mainAxisAlignment: MainAxisAlignment.start,
                                    crossAxisAlignment:
                                        CrossAxisAlignment.start,
                                    children: [
                                      SizedBox(
                                        width: 83,
                                        height: 24,
                                        child: Text(
                                          'Location',
                                          style: TextStyle(
                                            color: Color(0xFF0A0A0A),
                                            fontSize: 18,
                                            fontFamily: 'Inter',
                                            fontWeight: FontWeight.w400,
                                            height: 0.07,
                                          ),
                                        ),
                                      ),
                                      SizedBox(width: 24),
                                      SizedBox(
                                        height: 20,
                                        child: Row(
                                          mainAxisSize: MainAxisSize.min,
                                          mainAxisAlignment:
                                              MainAxisAlignment.start,
                                          crossAxisAlignment:
                                              CrossAxisAlignment.center,
                                          children: [
                                            SizedBox(
                                              width: 179,
                                              height: 20,
                                              child: Text.rich(
                                                TextSpan(
                                                  children: [
                                                    TextSpan(
                                                      text: 'Start: ',
                                                      style: TextStyle(
                                                        color:
                                                            Color(0xFF0A0A0A),
                                                        fontSize: 18,
                                                        fontFamily: 'Inter',
                                                        fontWeight:
                                                            FontWeight.w200,
                                                        height: 0.08,
                                                      ),
                                                    ),
                                                    TextSpan(
                                                      text: '20:30',
                                                      style: TextStyle(
                                                        color:
                                                            Color(0xFF0A0A0A),
                                                        fontSize: 18,
                                                        fontFamily: 'Inter',
                                                        fontWeight:
                                                            FontWeight.w800,
                                                        height: 0.08,
                                                      ),
                                                    ),
                                                  ],
                                                ),
                                              ),
                                            ),
                                          ],
                                        ),
                                      ),
                                    ],
                                  ),
                                ),
                              ],
                            ),
                          ),
                          const SizedBox(height: 4),
                          const SizedBox(
                            width: 226,
                            height: 15,
                            child: Text(
                              'Beschreibung in sehr kurzer Form hier...',
                              style: TextStyle(
                                color: Color(0xFF0A0A0A),
                                fontSize: 12,
                                fontFamily: 'Inter',
                                fontWeight: FontWeight.w200,
                                height: 0.11,
                              ),
                            ),
                          ),
                        ],
                      ),
                    ),
                    SizedBox(
                      width: 32,
                      child: Row(
                        mainAxisSize: MainAxisSize.min,
                        mainAxisAlignment: MainAxisAlignment.start,
                        crossAxisAlignment: CrossAxisAlignment.start,
                        children: [
                          SizedBox(
                            width: 32,
                            height: 32,
                            child: Row(
                              mainAxisSize: MainAxisSize.min,
                              mainAxisAlignment: MainAxisAlignment.start,
                              crossAxisAlignment: CrossAxisAlignment.start,
                              children: [
                                Container(
                                  width: 32,
                                  height: 32,
                                  decoration: ShapeDecoration(
                                    color: Colors.white
                                        .withOpacity(0.800000011920929),
                                    shape: const OvalBorder(
                                      side: BorderSide(
                                          width: 1, color: Color(0xFFABA9A9)),
                                    ),
                                  ),
                                ),
                                Container(
                                  width: 18,
                                  height: 19,
                                  clipBehavior: Clip.antiAlias,
                                  decoration: BoxDecoration(
                                    borderRadius: BorderRadius.circular(10),
                                  ),
                                  child: const FlutterLogo(),
                                ),
                              ],
                            ),
                          ),
                        ],
                      ),
                    ),
                  ],
                ),
              ),
            ],
          ),
        ),
      ],
    );
  }
}

class Event_Card extends StatelessWidget {
  const Event_Card({super.key});

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Container(
          width: 368,
          height: 107.26,
          padding: const EdgeInsets.only(left: 12),
          decoration: ShapeDecoration(
            color: Colors.white,
            shape: RoundedRectangleBorder(
              side: const BorderSide(
                width: 1,
                strokeAlign: BorderSide.strokeAlignOutside,
                color: Color(0xFFDADADA),
              ),
              borderRadius: BorderRadius.circular(9),
            ),
            shadows: const [
              BoxShadow(
                color: Color(0xFFF8AB14),
                blurRadius: 0,
                offset: Offset(0, 10),
                spreadRadius: 0,
              )
            ],
          ),
          child: Row(
            mainAxisSize: MainAxisSize.min,
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              Container(
                padding: const EdgeInsets.symmetric(vertical: 8),
                child: Column(
                  mainAxisSize: MainAxisSize.min,
                  mainAxisAlignment: MainAxisAlignment.start,
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    const SizedBox(
                      width: double.infinity,
                      height: 48,
                      child: Column(
                        mainAxisSize: MainAxisSize.min,
                        mainAxisAlignment: MainAxisAlignment.start,
                        crossAxisAlignment: CrossAxisAlignment.start,
                        children: [
                          Text(
                            'Eventname kann lang sein',
                            style: TextStyle(
                              color: Color(0xFF0A0A0A),
                              fontSize: 18,
                              fontFamily: 'Inter',
                              fontWeight: FontWeight.w400,
                              height: 0.07,
                            ),
                          ),
                          SizedBox(
                            width: 83,
                            height: 24,
                            child: Text(
                              'Location',
                              style: TextStyle(
                                color: Color(0xFF0A0A0A),
                                fontSize: 18,
                                fontFamily: 'Inter',
                                fontWeight: FontWeight.w800,
                                height: 0.06,
                              ),
                            ),
                          ),
                        ],
                      ),
                    ),
                    Container(
                      child: const Column(
                        mainAxisSize: MainAxisSize.min,
                        mainAxisAlignment: MainAxisAlignment.start,
                        crossAxisAlignment: CrossAxisAlignment.start,
                        children: [
                          Text.rich(
                            TextSpan(
                              children: [
                                TextSpan(
                                  text: 'Start:',
                                  style: TextStyle(
                                    color: Color(0xFF0A0A0A),
                                    fontSize: 12,
                                    fontFamily: 'Inter',
                                    fontWeight: FontWeight.w200,
                                    height: 0.11,
                                  ),
                                ),
                                TextSpan(
                                  text: ' ',
                                  style: TextStyle(
                                    color: Color(0xFF0A0A0A),
                                    fontSize: 18,
                                    fontFamily: 'Inter',
                                    fontWeight: FontWeight.w200,
                                    height: 0.08,
                                  ),
                                ),
                                TextSpan(
                                  text: '20:30',
                                  style: TextStyle(
                                    color: Color(0xFF0A0A0A),
                                    fontSize: 12,
                                    fontFamily: 'Inter',
                                    fontWeight: FontWeight.w800,
                                    height: 0.11,
                                  ),
                                ),
                              ],
                            ),
                          ),
                          SizedBox(
                            width: 226,
                            height: 15,
                            child: Text(
                              'Beschreibung in sehr kurzer Form hier...',
                              style: TextStyle(
                                color: Color(0xFF0A0A0A),
                                fontSize: 12,
                                fontFamily: 'Inter',
                                fontWeight: FontWeight.w200,
                                height: 0.11,
                              ),
                            ),
                          ),
                        ],
                      ),
                    ),
                  ],
                ),
              ),
              SizedBox(
                width: 32,
                child: Row(
                  mainAxisSize: MainAxisSize.min,
                  mainAxisAlignment: MainAxisAlignment.start,
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    SizedBox(
                      width: 32,
                      height: 32,
                      child: Row(
                        mainAxisSize: MainAxisSize.min,
                        mainAxisAlignment: MainAxisAlignment.start,
                        crossAxisAlignment: CrossAxisAlignment.start,
                        children: [
                          Container(
                            width: 32,
                            height: 32,
                            decoration: ShapeDecoration(
                              color:
                                  Colors.white.withOpacity(0.800000011920929),
                              shape: const OvalBorder(
                                side: BorderSide(
                                    width: 1, color: Color(0xFFABA9A9)),
                              ),
                            ),
                          ),
                          Container(
                            width: 18,
                            height: 19,
                            clipBehavior: Clip.antiAlias,
                            decoration: BoxDecoration(
                              borderRadius: BorderRadius.circular(10),
                            ),
                            child: const FlutterLogo(),
                          ),
                        ],
                      ),
                    ),
                  ],
                ),
              ),
            ],
          ),
        ),
      ],
    );
  }
}

class LostEvents extends StatelessWidget {
  const LostEvents({super.key});

  @override
  Widget build(BuildContext context) {
    return InkWell(
        onTap: () {
          Navigator.push(
            context,
            MaterialPageRoute(
                builder: (context) =>
                    const MissingEvent()), // Die Seite, zu der du navigieren möchtest
          );
        },
        child: Container(
          width: 350,
          //height: 148,
          padding: const EdgeInsets.all(15.0),
          decoration: ShapeDecoration(
            color: Colors.white,
            shape: RoundedRectangleBorder(
              side: const BorderSide(width: 2),
              borderRadius: BorderRadius.circular(8),
            ),
            shadows: const [
              BoxShadow(
                color: Color(0xFF000000),
                blurRadius: 0,
                offset: Offset(0, 10),
                spreadRadius: 0,
              )
            ],
          ),
          child: const Column(
            children: [
              Align(
                alignment: Alignment.centerLeft,
                child: Text(
                  'Ein Event fehlt euch hier?',
                  style: TextStyle(
                    color: Color(0xFF0A0A0A),
                    fontSize: 18,
                    fontFamily: 'Inter',
                    fontWeight: FontWeight.w800,
                    height: 0,
                  ),
                ),
              ),
              SizedBox(height: 10),
              SizedBox(
                width: 317,
                child: Text.rich(
                  TextSpan(
                    children: [
                      TextSpan(
                        text: 'Sendet uns ein Foto vom Event ',
                        style: TextStyle(
                          color: Color(0xFF0A0A0A),
                          fontSize: 16,
                          fontFamily: 'Inter',
                          fontWeight: FontWeight.w400,
                          height: 0,
                        ),
                      ),
                      TextSpan(
                        text: 'oder',
                        style: TextStyle(
                          color: Color(0xFF0A0A0A),
                          fontSize: 16,
                          fontFamily: 'Inter',
                          fontWeight: FontWeight.w700,
                          height: 0,
                        ),
                      ),
                      TextSpan(
                        text:
                            ' werdet Host und stellt eure Events                           bei uns rein. ',
                        style: TextStyle(
                          color: Color(0xFF0A0A0A),
                          fontSize: 16,
                          fontFamily: 'Inter',
                          fontWeight: FontWeight.w400,
                          height: 0,
                        ),
                      ),
                    ],
                  ),
                ),
              ),
              SizedBox(height: 15),
              Align(
                alignment: Alignment.centerRight,
                child: Text(
                  'Infos hier',
                  style: TextStyle(
                    color: Color(0xFF0A0A0A),
                    fontSize: 18,
                    fontFamily: 'Inter',
                    fontWeight: FontWeight.w800,
                    height: 0.07,
                  ),
                ),
              ),
            ],
          ),
        ));
  }
}

class Footer extends StatelessWidget {
  const Footer({super.key});

  @override
  Widget build(BuildContext context) {
    return Container(
        child: Container(
      width: double.infinity,
      //height: 90,
      padding: const EdgeInsets.symmetric(horizontal: 10, vertical: 5),
      clipBehavior: Clip.antiAlias,
      decoration: const BoxDecoration(
        color: Color(0xFFF2F2F2),
        border: Border(
          left: BorderSide(color: Color(0xFF868686)),
          top: BorderSide(width: 1, color: Color(0xFF868686)),
          right: BorderSide(color: Color(0xFF868686)),
          bottom: BorderSide(color: Color(0xFF868686)),
        ),
      ),
      child: Column(
        children: [
          Row(
            mainAxisSize: MainAxisSize.max,
            mainAxisAlignment: MainAxisAlignment.start,
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              SizedBox(
                height: 30,
                //width: 63,
                child: IconButton(
                  icon: Image.asset('assets/images/logo.png'),
                  onPressed: () {
                    // Open drawer or perform action
                  },
                ),
              ),
              const SizedBox(width: 10),
              const Text(
                '© 2024 Alle Rechte vorbehalten',
                style: TextStyle(
                  color: Colors.black,
                  fontSize: 8,
                  fontFamily: 'Inter',
                  fontWeight: FontWeight.w400,
                  height: 0,
                ),
              ),
              const SizedBox(width: 40),
              SizedBox(
                  height: 20,
                  width: 20,
                  child: IconButton(
                    icon: const FaIcon(FontAwesomeIcons.instagram, size: 20),
                    onPressed: () {
                      // Füge hier die YouTube-Aktion hinzu
                    },
                    padding:
                        EdgeInsets.zero, // Entfernt das Padding des IconButton
                    constraints:
                        const BoxConstraints(), // Entfernt die Standardbeschränkungen
                  )),
              const SizedBox(width: 10),
              SizedBox(
                  height: 20,
                  width: 20,
                  child: IconButton(
                    icon: const FaIcon(FontAwesomeIcons.tiktok, size: 20),
                    onPressed: () {
                      // Füge hier die YouTube-Aktion hinzu
                    },
                    padding:
                        EdgeInsets.zero, // Entfernt das Padding des IconButton
                    constraints:
                        const BoxConstraints(), // Entfernt die Standardbeschränkungen
                  )),
              const SizedBox(width: 10),
              SizedBox(
                  height: 20,
                  width: 25,
                  child: IconButton(
                    icon: const FaIcon(FontAwesomeIcons.youtube, size: 20),
                    onPressed: () {
                      // Füge hier die YouTube-Aktion hinzu
                    },
                    padding:
                        EdgeInsets.zero, // Entfernt das Padding des IconButton
                    constraints:
                        const BoxConstraints(), // Entfernt die Standardbeschränkungen
                  )),
              const SizedBox(width: 10),
              SizedBox(
                  height: 20,
                  width: 20,
                  child: IconButton(
                    icon: const FaIcon(FontAwesomeIcons.facebook, size: 20),
                    onPressed: () {
                      // Füge hier die YouTube-Aktion hinzu
                    },
                    padding:
                        EdgeInsets.zero, // Entfernt das Padding des IconButton
                    constraints:
                        const BoxConstraints(), // Entfernt die Standardbeschränkungen
                  )),
              const SizedBox(width: 10),
            ],
          ),
          Container(height: 10),
          Row(
            crossAxisAlignment: CrossAxisAlignment.center,
            mainAxisSize: MainAxisSize.max,
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              const Text(
                ' About us',
                style: TextStyle(
                  color: Colors.black,
                  fontSize: 12,
                  fontFamily: 'Inter',
                  fontWeight: FontWeight.w400,
                  height: 0,
                ),
              ),
              const SizedBox(width: 10),
              Container(
                width: 3,
                height: 3,
                decoration: const ShapeDecoration(
                  color: Colors.black, // Schwarze Füllfarbe
                  shape: OvalBorder(side: BorderSide(width: 1)),
                ),
              ),
              const SizedBox(width: 10),
              const Text(
                'Impressum',
                style: TextStyle(
                  color: Colors.black,
                  fontSize: 12,
                  fontFamily: 'Inter',
                  fontWeight: FontWeight.w400,
                  height: 0,
                ),
              ),
              const SizedBox(width: 10),
              Container(
                width: 3,
                height: 3,
                decoration: const ShapeDecoration(
                  color: Colors.black, // Schwarze Füllfarbe
                  shape: OvalBorder(side: BorderSide(width: 1)),
                ),
              ),
              const SizedBox(width: 10),
              const Text(
                'Kontakt',
                style: TextStyle(
                  color: Colors.black,
                  fontSize: 12,
                  fontFamily: 'Inter',
                  fontWeight: FontWeight.w400,
                  height: 0,
                ),
              ),
              const SizedBox(width: 10),
              Container(
                width: 3,
                height: 3,
                decoration: const ShapeDecoration(
                  color: Colors.black, // Schwarze Füllfarbe
                  shape: OvalBorder(side: BorderSide(width: 1)),
                ),
              ),
              const SizedBox(width: 10),
              const Text(
                'Help Service',
                style: TextStyle(
                  color: Colors.black,
                  fontSize: 12,
                  fontFamily: 'Inter',
                  fontWeight: FontWeight.w400,
                  height: 0,
                ),
              ),
            ],
          ),
          Container(height: 10),
          Row(
            crossAxisAlignment: CrossAxisAlignment.center,
            mainAxisSize: MainAxisSize.max,
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              const Text(
                'Terms and conditions ',
                style: TextStyle(
                  color: Colors.black,
                  fontSize: 12,
                  fontFamily: 'Inter',
                  fontWeight: FontWeight.w400,
                  height: 0,
                ),
              ),
              const SizedBox(width: 20),
              Container(
                width: 3,
                height: 3,
                decoration: const ShapeDecoration(
                  color: Colors.black, // Schwarze Füllfarbe
                  shape: OvalBorder(side: BorderSide(width: 1)),
                ),
              ),
              const SizedBox(width: 20),
              const Text(
                'sponsered by: In4Event',
                style: TextStyle(
                  color: Colors.black,
                  fontSize: 12,
                  fontFamily: 'Inter',
                  fontWeight: FontWeight.w400,
                  height: 0,
                ),
              ),
            ],
          ),
          Container(height: 20),
        ],
      ),
    ));
  }
}
